#ifndef DAC8571_H
#define DAC8571_H

#include <avr/io.h>

#define DAC8571_LOAD1	_BV(5)
#define DAC8571_LOAD0	_BV(4)
#define DAC8571_BRCSEL	_BV(2)
#define DAC8571_PD0		_BV(0)

#define DAC8571_CMD_WRITE_TEMP_DATA		0
#define DAC8571_CMD_WRITE_TEMP_PWDN		(DAC8571_PD0)
#define DAC8571_CMD_WRITE_TEMP_AND_LOAD	(DAC8571_LOAD0)
#define DAC8571_CMD_POWERDOWN			(DAC8571_LOAD0 | DAC8571_PD0)
#define DAC8571_CMD_UPDATE				(DAC8571_LOAD1)

#define DAC8571_BASE_ADDR	0b10011000

void dac8571_set(unsigned int data, unsigned char a0);

#endif
